Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IListSelection

All Known Implementing Classes:
  FList

public interface IListSelection

Interface fuer ListSelectionEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer ListSelectionEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addListSelectionListener(ListSelectionListener listener)` Fuegt dem Control den uebergebenen Listener als ListSelectionListener hinzu.
`String` | `getActionClassForListSelection()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ListSelectionEvent ausgeloest wurde.
`void` | `removeListSelectionListener(ListSelectionListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForListSelection(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ListSelectionEvent ausgeloest wurde.

Method Detail

### getActionClassForListSelection

    public String getActionClassForListSelection()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein ListSelectionEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer ListSelectionEvent.

### setActionClassForListSelection

    public void setActionClassForListSelection(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ListSelectionEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ListSelectionEvent.

### addListSelectionListener

    public void addListSelectionListener(ListSelectionListener listener)

  Fuegt dem Control den uebergebenen Listener als ListSelectionListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende ListSelectionListener.

### removeListSelectionListener

    public void removeListSelectionListener(ListSelectionListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD